### Method

# Cogl Pipeline get_depth_state

#### Declaration [src]

    void
    cogl_pipeline_get_depth_state (
      CoglPipeline* pipeline,
      CoglDepthState* state_out
    )

#### Description [src]

Retrieves the current depth state configuration for the given `pipeline` as previously set using cogl_pipeline_set_depth_state().

#### Parameters

`state_out`

  Type: `CoglDepthState`

  A destination `CoglDepthState` struct.

  The argument will be set by the function.
  The returned data is owned by the instance.